transform.hpp File Reference

## Classes

struct | ranges::iter_transform2_view< Rng1, Rng2, Fun >
struct | ranges::iter_transform_view< Rng, Fun >
struct | ranges::transform2_view< Rng1, Rng2, Fun >
struct | ranges::transform_view< Rng, Fun >
struct | ranges::views::iter_transform_base_fn
struct | ranges::views::iter_transform_fn
struct | ranges::views::transform_base_fn
struct | ranges::views::transform_fn

## Functions

template<typename Rng , typename F >
CPP_TEMPLATE_AUX_0 | ranges::cpp20::u (requires input_range< Rng > &&copy_constructible< F > &&view_< Rng > &&std::is_object< F >::value &&regular_invocable< F &, iter_reference_t< iterator_t< Rng >>>) uuusing transform_view

## Variables

template<typename Rng , typename Fun >
| ranges::views::CPP_TEMPLATE_AUX_1
| \concept transformable_range_ More...
concept | ranges::views::transformable_range_ =
concept | ranges::views::transformable_ranges_ =
template<typename Rng , typename Fun >
concept | ranges::views::ttransformable_range
| \concept transformable_range More...
template<typename Rng1 , typename Rng2 , typename Fun >
concept | ranges::views::ttransformable_ranges
| \concept transformable_ranges More...

## Variable Documentation

## CPP_TEMPLATE_AUX_1

template<typename Rng , typename Fun >

ranges::views::CPP_TEMPLATE_AUX_1

\concept transformable_range_

\concept zippable_with_

\concept transformable_ranges_

The `transformable_range_` concept

The `transformable_ranges_` concept

The `zippable_with_` concept

## ttransformable_range

template<typename Rng , typename Fun >

concept ranges::views::ttransformable_range

Initial value:
=
viewable_range<Rng> && input_range<Rng> &&
copy_constructible<Fun> &&
views::transformable_range_ < Rng, Fun >

\concept transformable_range

The `transformable_range` concept

## ttransformable_ranges

template<typename Rng1 , typename Rng2 , typename Fun >

concept ranges::views::ttransformable_ranges

Initial value:
=
viewable_range<Rng1> && input_range<Rng1> &&
viewable_range<Rng2> && input_range<Rng2> &&
copy_constructible<Fun> &&
views::transformable_ranges_ < Rng1, Rng2, Fun >

\concept transformable_ranges

The `transformable_ranges` concept